The ledger vendors this supplier's bills came from, when they differ (any role)
GET
/suppliers/{supplierId}/source-vendors
const url = 'https://api.invogi.com/v1/suppliers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/source-vendors';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.invogi.com/v1/suppliers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/source-vendors \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”supplierId
required
string format: uuid
Responses
Section titled “Responses”The conflict, or null
Media typeapplication/json
object
conflict
One of:
null
object
supplierId
string format: uuid
supplierName
string
groups
Each vendor the supplier’s bills came from, most bills first
Array<object>
object
sourceRef
E.g. quickbooks-vendor:{connection}:{vendorId}
string
sourceName
string
invoices
integer
firstIssueDate
string format: date
lastIssueDate
string format: date
matchesSupplierName
The vendor whose name this supplier carries; it cannot be split out
boolean
Example generated
{ "conflict": { "supplierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "supplierName": "example", "groups": [ { "sourceRef": "example", "sourceName": "example", "invoices": 1, "firstIssueDate": "2026-04-15", "lastIssueDate": "2026-04-15", "matchesSupplierName": true } ] }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}